Foreman - Refactor #10413

Reimplement !unattended mode support as mainline feature
05/07/2015 09:57 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Host creation

Target version:

Difficulty: Fixed in Releases: 3.3.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8980,

https://github.com/theforeman/foreman/p

ull/8983
Description

settings.yaml contains :unattended set to true by default, which enables provisioning related features during initialisation. Turning it
off is meant to put Foreman into a reporting-only mode, suitable for use as a dashboard, but it's notoriously unreliable and untested.

Many major releases contain regressions because !unattended users are a minority and all developers and tests run with unattended
enabled in order to test all features.

I'd suggest that we should remove this global setting and make sure Foreman can operate sensibly and be well-tested with both
reporting-only and provisioning usage in a single, default configuration.

The main difference was always the New Host page, which had significant behaviour differences around OS requirements and the
tabs shown. When in unattended mode, it is only possible to create a managed host in the New Host form.

Related is that there's an inconsistency in use of the host "managed" flag. Generally when unattended is enabled and hosts are
Imanaged, Foreman acts similarly to lunattended mode. We should probably migrate hosts created under lunattended to being
Imanaged hosts and then have Foreman work well with both managed and !Imanaged hosts.

Related again, consider how Host::Managed should be split up or renamed when it's an unmanaged host.

Related issues:

Related to Foreman - Bug #10307: Editing a host with "unattended: false" set ... Closed 04/29/2015
Related to Foreman - Bug #10379: Facts import error: no superclass method “se... Closed 05/05/2015
Related to Foreman - Bug #4018: API host creation fails with 500 error when u... New 01/15/2014
Related to Foreman - Bug #16866: Facts import doesn't work with unattended=false Closed 10/11/2016

Associated revisions

Revision 2481080e - 12/09/2021 09:51 AM - Tomer Brisker
Refs #10413 - Deprecate setting unattended: false

This setting is rarely used and complicates the code quite a lot. With
the introduction of host registration, there is a path for any remaining
users who had been using Foreman only for inventory to add their hosts.

Revision e8eeacf5 - 03/09/2022 09:05 PM - Tomer Brisker
Refs #10413 - Force :unattended: true

Revision 11febf2d - 03/09/2022 09:05 PM - Tomer Brisker

Refs #10413 - Remove unattended: false from tests

Revision f732d6ed - 03/09/2022 09:05 PM - Tomer Brisker
Refs #10413 - Remove unattended mode check in routes

Revision 0350ff55 - 03/09/2022 09:05 PM - Tomer Brisker
Refs #10413 - Drop unattended mode check in app init

Revision c67703aa - 03/09/2022 09:05 PM - Tomer Brisker

Refs #10413 - Drop unattended mode checks from models

Revision 534{3f80 - 03/09/2022 09:05 PM - Tomer Brisker
Refs #10413 - Drop unattended mode checks in helpers

Revision 96039c6a - 03/09/2022 09:05 PM - Tomer Brisker

Refs #10413 - Drop unattended mode checks from menu

Revision c45d2f1b - 03/09/2022 09:05 PM - Tomer Brisker

Refs #10413 - Drop unattended mode check in controllers

Revision 1548de49 - 03/09/2022 09:05 PM - Tomer Brisker

Refs #10413 - Drop unattended mode checks from views

Revision e231a35e - 03/09/2022 09:05 PM - Tomer Brisker

Fixes #10413 - Drop unattended mode deprecation

History

#1 - 05/07/2015 09:58 AM - Dominic Cleal
- Related to Bug #10307: Editing a host with "unattended: false" set in settings.yaml results in error. added

#2 - 05/07/2015 10:37 AM - Marek Hulan

- Related to Bug #10379: Facts import error: no superclass method “setup clone' for #<Host::Managed...> added

#3 - 05/07/2015 04:23 PM - Rickard von Essen
- Related to Bug #4018: API host creation fails with 500 error when unattended == false added

#4 - 10/11/2016 12:34 PM - Anonymous
- Related to Bug #16866: Facts import doesn't work with unattended=false added

#5 - 12/08/2021 05:08 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/8980 added

#6 - 12/09/2021 09:56 AM - Ondfej Ezr
- Fixed in Releases 3.0.2, 3.1.0 added

#7 - 12/09/2021 10:01 AM - Ondrej Ezr
- Fixed in Releases deleted (3.0.2, 3.1.0)

#8 - 12/09/2021 12:47 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8983 added

#9 - 03/09/2022 09:05 PM - The Foreman Bot
- Fixed in Releases 3.3.0 added

#10 - 03/09/2022 10:00 PM - Tomer Brisker
- Status changed from Ready For Testing to Closed
Applied in changeset foreman|e231a35e05dc4b958c3244d674deeb21654b11d8.
